Subject: Re: Bug? Haskell GHC wont' work since [email-masked]?

From: yasu <[email-masked]>
Date: Mon, 11 Jan 2021 15:31:48 +0900

Hi John,

Oh, I see!  I wonder if it possible to have a more convinient

haskell-for-a-casual-developer like package or:

parameterize the command itself, say:
guix install ghc -option1=blah, -option2=blah,
and provide default options as well?

In the very least, a warning message explaining this after:
guix install ghc

Might do.

Lots of ideas :-)

Cheers,
yasu

On Sun, 2021-01-10 at 22:18 -0800, John Soo wrote:
> Hi yasu,
> 
> This question comes up on the mailing list every so often, but I
> don’t think it is a bug. I want to be able to choose the c toolchain
> ghc uses myself. I would rather introduce some Haskell specific
> documentation.
> 
> We discussed during the guix day that we would love to have some
> language specific setup documentation. I had issues like this in
> mind.
> 
> - John